// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "Player.h"

#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	ON_COMMAND(ID_VIEW_FIELD, OnViewField)
	ON_UPDATE_COMMAND_UI(ID_VIEW_FIELD, OnUpdateViewField)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

static UINT indicators[] =
{
	ID_SEPARATOR,           // status line indicator
	ID_INDICATOR_CAPS,
	ID_INDICATOR_NUM,
	ID_INDICATOR_SCRL,
};

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
	// TODO: add member initialization code here
	
}

CMainFrame::~CMainFrame()
{
}

int CMainFrame::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CFrameWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndToolBar.Create(this) ||				// CreateEx(this)
		!m_wndToolBar.LoadToolBar(IDR_MAINFRAME))
	{
		TRACE0("Failed to create toolbar\n");
		return -1;      // fail to create
	}
	if (!m_wndDlgBar.Create(this, IDR_MAINFRAME, 
		CBRS_ALIGN_TOP, 0))							// , AFX_IDW_DIALOGBAR
	{
		TRACE0("Failed to create dialogbar\n");
		return -1;		// fail to create
	}

#if _MSC_VER > 5000
	if (!m_wndReBar.Create(this) ||
		!m_wndReBar.AddBar(&m_wndToolBar) ||
		!m_wndReBar.AddBar(&m_wndDlgBar))
	{
		TRACE0("Failed to create rebar\n");
		return -1;      // fail to create
	}
#endif

	if (!m_wndStatusBar.Create(this) ||
		!m_wndStatusBar.SetIndicators(indicators,
		  sizeof(indicators)/sizeof(UINT)))
	{
		TRACE0("Failed to create status bar\n");
		return -1;      // fail to create
	}

	// TODO: Remove this if you don't want tool tips
	m_wndToolBar.SetBarStyle(m_wndToolBar.GetBarStyle() |
		CBRS_TOOLTIPS | CBRS_FLYBY);

	EnableDocking(CBRS_ALIGN_ANY);
	return 0;
}

BOOL CMainFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	if( !CFrameWnd::PreCreateWindow(cs) )
		return FALSE;
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame diagnostics

#ifdef _DEBUG
void CMainFrame::AssertValid() const
{
	CFrameWnd::AssertValid();
}

void CMainFrame::Dump(CDumpContext& dc) const
{
	CFrameWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers

void CMainFrame::OnViewField() 
{
	// TODO: Add your command handler code here
	if(::IsWindow(m_field))
	{
		ShowControlBar(&m_field, TRUE, FALSE);
		return;
	}

	if (!m_field.Create(this, &m_fieldDialog, CString("Field"), IDD_FIELD))
	{
		TRACE0("Failed to create dialogbar\n");
		return;      // fail to create
	}

    m_field.SetBarStyle(m_field.GetBarStyle()|CBRS_TOOLTIPS|CBRS_FLYBY|CBRS_SIZE_DYNAMIC);
	m_field.EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_field);	

	if(::IsWindow(m_field1))
	{
		ShowControlBar(&m_field1, TRUE, FALSE);
		return;
	}

	if (!m_field1.Create(this, &m_fieldDialog1, CString("Field"), IDD_FIELD))
	{
		TRACE0("Failed to create dialogbar\n");
		return;      // fail to create
	}

    m_field1.SetBarStyle(m_field1.GetBarStyle()|CBRS_TOOLTIPS|CBRS_FLYBY|CBRS_SIZE_DYNAMIC);
	m_field1.EnableDocking(CBRS_ALIGN_ANY);
	DockControlBar(&m_field1);	
}
/*
void CMainFrame::OnViewField() 
{
	// TODO: Add your command handler code here
	CMenu *menu = GetMenu();
	if(menu->GetMenuState(ID_VIEW_FIELD, MF_BYCOMMAND) & MF_CHECKED)
	{
		ShowControlBar(&m_field, FALSE, FALSE);
	}
	else
	{
		ShowControlBar(&m_field, TRUE, FALSE);
	}
	menu = GetMenu();
	if(menu->GetMenuState(ID_VIEW_FIELD, MF_BYCOMMAND) & MF_CHECKED)
	{
		ShowControlBar(&m_field1, FALSE, FALSE);
	}
	else
	{
		ShowControlBar(&m_field1, TRUE, FALSE);
	}

}
*/
void CMainFrame::OnUpdateViewField(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	if(m_field.IsVisible())
		pCmdUI->SetCheck(TRUE);
	else
		pCmdUI->SetCheck(FALSE);
	
}
