// PlayerDoc.h : interface of the CPlayerDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLAYERDOC_H__32FBAB8B_B331_11D3_A29A_0020AFCCD8BB__INCLUDED_)
#define AFX_PLAYERDOC_H__32FBAB8B_B331_11D3_A29A_0020AFCCD8BB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "BaseAgent.h"

class CPlayerDoc : public CDocument
{
protected: // create from serialization only
	CPlayerDoc();
	DECLARE_DYNCREATE(CPlayerDoc)

// Attributes
public:
	CBaseAgent		m_aPlayer;
	BOOL			m_bNoGraphics;
	TPlayer			m_Players[MAX_NUM_PLAYER];
	CObList			m_Modules;
	BOOL			m_bTryingToConnect;

	BOOL			m_letsgo;

// Operations
public:
	void OnHear(LPCTSTR);
	void OnSee();
	void OnSenseBody();
	
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlayerDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPlayerDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPlayerDoc)
	afx_msg void OnConnect();
	afx_msg void OnUpdateConnect(CCmdUI* pCmdUI);
	afx_msg void OnDisconnect();
	afx_msg void OnUpdateDisconnect(CCmdUI* pCmdUI);
	afx_msg void OnGraphics();
	afx_msg void OnUpdateGraphics(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLAYERDOC_H__32FBAB8B_B331_11D3_A29A_0020AFCCD8BB__INCLUDED_)
