// PlayerView.h : interface of the CPlayerView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLAYERVIEW_H__32FBAB8D_B331_11D3_A29A_0020AFCCD8BB__INCLUDED_)
#define AFX_PLAYERVIEW_H__32FBAB8D_B331_11D3_A29A_0020AFCCD8BB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CPlayerView : public CView
{
protected: // create from serialization only
	CPlayerView();
	DECLARE_DYNCREATE(CPlayerView)

// Attributes
public:
	CPlayerDoc* GetDocument();

// Operations
public:
	void RedrawView();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlayerView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual void CalcWindowRect(LPRECT lpClientRect, UINT nAdjustType = adjustBorder);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPlayerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPlayerView)
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PlayerView.cpp
inline CPlayerDoc* CPlayerView::GetDocument()
   { return (CPlayerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLAYERVIEW_H__32FBAB8D_B331_11D3_A29A_0020AFCCD8BB__INCLUDED_)
